package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户线索三方平台对象 crm_customer_third
 *
 * @author fs
 * @date 2023-07-11
 */
public class CrmCustomerThird extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String thirdName;

    /** 平台类型 */
    @Excel(name = "平台类型")
    private Integer thirdType;

    /** 平台appid */
    @Excel(name = "平台appid")
    private String appId;

    /** 平台secret */
    @Excel(name = "平台secret")
    private String appSecret;

    /** 授权账号 */
    @Excel(name = "授权账号")
    private String account;

    /** 状态  0未授权 1 已授权 */
    @Excel(name = "状态")
    private Long status;

    /**accessToken状态*/
    @Excel(name = "accessToken状态")
    private Integer accessStatus;

    /** refreshToken状态*/
    @Excel(name = "refreshToken状态")
    private Integer refreshStatus;

    /** 三方平台access_token */
    @Excel(name = "三方平台accessToken")
    private String accessToken;

    /** 三方平台refresh_token */
    @Excel(name = "三方平台refreshToken")
    private String refreshToken;

    @Excel(name = "飞鱼广告主Ids")
    private String advertiserIds;


    @Excel(name = "飞鱼广告主名称")
    private String advertiserNames;


    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setThirdName(String thirdName)
    {
        this.thirdName = thirdName;
    }

    public String getThirdName()
    {
        return thirdName;
    }
    public void setThirdType(Integer thirdType) {
        this.thirdType = thirdType;
    }
    public Integer getThirdType()
    {
        return thirdType;
    }

    public void setAppId(String appId)
    {
        this.appId = appId;
    }

    public String getAppId()
    {
        return appId;
    }
    public void setAppSecret(String appSecret)
    {
        this.appSecret = appSecret;
    }

    public String getAppSecret()
    {
        return appSecret;
    }
    public void setAccount(String account)
    {
        this.account = account;
    }

    public String getAccount()
    {
        return account;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setAccessStatus(Integer accessStatus)
    {
        this.accessStatus = accessStatus;
    }

    public Integer getAccessStatus()
    {
        return accessStatus;
    }
    public void setRefreshStatus(Integer refreshStatus)
    {
        this.refreshStatus = refreshStatus;
    }

    public Integer getRefreshStatus()
    {
        return refreshStatus;
    }
    public void setAccessToken(String accessToken)
    {
        this.accessToken = accessToken;
    }

    public String getAccessToken()
    {
        return accessToken;
    }
    public void setRefreshToken(String refreshToken)
    {
        this.refreshToken = refreshToken;
    }

    public String getRefreshToken()
    {
        return refreshToken;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getAdvertiserIds() {
        return advertiserIds;
    }

    public void setAdvertiserIds(String advertiserIds) {
        this.advertiserIds = advertiserIds;
    }

    public String getAdvertiserNames() {
        return advertiserNames;
    }

    public void setAdvertiserNames(String advertiserNames) {
        this.advertiserNames = advertiserNames;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("thirdName", getThirdName())
            .append("thirdType", getThirdType())
            .append("appId", getAppId())
            .append("appSecret", getAppSecret())
            .append("account", getAccount())
            .append("status", getStatus())
            .append("accessStatus", getAccessStatus())
            .append("refreshStatus", getRefreshStatus())
            .append("accessToken", getAccessToken())
            .append("refreshToken", getRefreshToken())
            .toString();
    }
}
